////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : QuickSortWindow.java
//  Description      :
//  Author           : Babsi
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : Dino Ahr
//  Last modified on :
//  Update count     : 0
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  06.03.01    vigelius        revised documentation
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//  06.06.01    vigelius    now uses AlgorithmWindow
//
///////////////////////////////////////////////////////////////////////////////

package visalg.modules;

import visalg.basics.Module;
import visalg.basics.ModuleListener;
import visalg.basics.*;
import visalg.graphics.ModuleWindow;
import visalg.graphics.ModuleWindowContainer;
import visalg.graphics.AlgorithmWindow;

import visalg.types.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.util.*;

/**
* The frontend to the QuickSort algorithm module. Lets the user choose one data
* module, that is used for the algorithm.
*
* @see QuickSort
* @see visalg.basics.DataModule
*/
public class QuickSortWindow extends AlgorithmWindow {

    public QuickSortWindow(String name, Algorithm alg, Rectangle bounds,
            ModuleWindowContainer mwc) {

        super(name, alg, bounds, mwc);
    }
}