////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : BubbleSortWindow.java
//  Description      :
//  Author           : babsi
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Nov 16 23:48:28 1999
//  Last modified by : Dino Ahr
//  Last modified on : Tue Nov 16 23:48:28 1999
//  Update count     : 0
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		    Changes/Extensions
//  ----	    ----		    ------------------
//  28.12.00    vigelius        angepasst an neue variablennamen
//  04.01.01    vigelius        Code gemaess den Richtlinien formatiert und
//                              dokumentiert.
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//  06.06.01    vigelius    Now uses AlgorithmWindow
///////////////////////////////////////////////////////////////////////////////

package visalg.modules;

import visalg.basics.Module;
import visalg.basics.ModuleListener;
import visalg.basics.*;
import visalg.graphics.AlgorithmWindow;
import visalg.graphics.ModuleWindowContainer;

import visalg.types.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.util.*;

/**
* The Bubblesort algorithm window.
*/
public class BubbleSortWindow extends AlgorithmWindow {
    public BubbleSortWindow(String name, Algorithm alg, Rectangle bounds,
            ModuleWindowContainer mwc) {

        super(name, alg, bounds, mwc);
    }
}//class BubbleSortWindow
