////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : Delta.java
//  Description      :
//  Author           : Bonato, Braun, Schoebel
//  Email            :
//  Copyright        : University of Heidelberg
//  Created on       :
//  Last modified by :
//  Last modified on :
//  Update count     :
//
////////////////////////////////////////////////////////////////////////////////
//
//  Date        Name            Changes/Extensions
//  ----        ----            ------------------
//
////////////////////////////////////////////////////////////////////////////////


package visalg.modules.tspGraphViewerWindow;


/**
 * This class is needed to save graph- changes for the back- forward- function.
 */
public class Delta {


    // -----------------------------------------------------
    // ------- V a r i a b l e s ---------------------------
    // -----------------------------------------------------

    /**
      *
      */
    private int m_deltaID;
    private int m_deltaX;
    private int m_deltaY;


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
    * constructor:
    */
    public Delta(int id, int x, int y) {
        m_deltaID = id;
	m_deltaX  = x;
	m_deltaY  = y;
    }//end public Delta(int id, int x, int y)

    /**
     * This function returns the value of the m_deltaID- variable.
     *
     * @return m_deltaID
     */
    public int getID() {
        return m_deltaID;
    }//end public int getID()

    /**
     * This function returns the value of the m_deltaX- variable.
     *
     * @return m_deltaX
     */
    public int getDeltaX() {
        return m_deltaX;
    }//end public int getDeltaX()

    /**
     * This function returns the value of the m_deltaY- variable.
     *
     * @return m_deltaY
     */
    public int getDeltaY() {
        return m_deltaY;
    }//end public int getDeltaY()

}//end public class Delta